[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH 3/5] Avoid daemon initialization



From: Otavio Salvador <otavio@ossystems.com.br>

While building the chroot no daemon can be started otherwise the /proc
can be locked. We avoid this making a temporary wrapper to avoid the
'start-stop-daemon' running.
---

 src/scripts/14chroot.sh |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/src/scripts/14chroot.sh b/src/scripts/14chroot.sh
index 2c8824a..7c9feff 100644
--- a/src/scripts/14chroot.sh
+++ b/src/scripts/14chroot.sh
@@ -30,6 +30,16 @@ Chroot ()
 		# Mount proc
 		mount proc-live -t proc "${LIVE_CHROOT}"/proc
 
+		# Avoid daemon starting
+		cat  > "${LIVE_CHROOT}"/usr/sbin/policy-rc.d <<EOF
+#!/bin/sh
+echo
+echo "Warning: invoke-rc.d policy in action. Skiping daemon starting"
+
+exit 101
+EOF
+		chmod 755 "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+
 		# Configure sources.list
 		Indices custom initial
 
@@ -175,6 +185,9 @@ Chroot ()
 		# Unmount proc
 		umount "${LIVE_CHROOT}"/proc
 
+		# Allow daemon starting
+		rm "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+
 		# Deconfigure network
 		Patch_network deapply
 


Reply to: